# $Revision: 1.112.2.1 $, $Date: 2007/02/28 08:40:36 $
%define		rpm_macros_rev 1.375
Summary:	PLD Linux RPM build macros
Summary(pl):	Makra do budowania pakietw RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source2:	rpm-build.sh
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
BuildArch:	noarch
# for _x_libraries macro
Conflicts:	rpm < 4.4.2-27.1
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_rpmlibdir %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl
Ten pakiet zawiera makra rpm-a do budowania pakietw dla Linuksa PLD.

%prep
rev=$(awk '/^#.*Revision:.*Date/{print $3}' %{SOURCE0})
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_rpmlibdir},/etc/shrc.d}
cp %{SOURCE0} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.build
install %{SOURCE1} $RPM_BUILD_ROOT%{_rpmlibdir}/service_generator.sh
install %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_rpmlibdir}/macros.build
%attr(755,root,root) %{_rpmlibdir}/service_generator.sh
/etc/shrc.d/rpm-build.sh

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm-build-macros.spec,v $
Revision 1.112.2.1  2007/02/28 08:40:36  glen
- update to 1.375

Revision 1.118  2007/02/28 02:11:12  glen
- 1.375: %pear_package_setup -D

Revision 1.117  2007/02/25 02:22:32  glen
- update Group

Revision 1.116  2007/02/25 02:19:58  glen
- shrc should not be executed

Revision 1.115  2007/02/17 14:45:36  qrczak
- 1.372, cosmetics

Revision 1.114  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.113  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.112  2007/02/06 20:06:33  arekm
- disable LD_SYMBOLIC_FUNCTIONS

Revision 1.111  2007/01/30 22:27:37  pluto
- 1.369, syntax fixes.

Revision 1.110  2007/01/26 20:26:05  pluto
- 1.368 - optimize shared objects ( export LD_SYMBOLIC_FUNCTIONS=1 ).
  1.367 - fix smp only kernel build.

Revision 1.109  2007/01/14 14:42:18  qrczak
- 1.366
- Requires findutils >= 4.2.26 for xargs -d

Revision 1.108  2007/01/10 19:35:47  blues
- 1.365

Revision 1.107  2006/12/27 03:16:43  qboosh
- 1.359 (glen: chrpath/strip fix for filenames with spaces; omit docdir)

Revision 1.106  2006/12/23 02:44:51  glen
- 1.357: macros for browser plugins v2

Revision 1.105  2006/12/22 20:39:49  glen
- patchset macros updated

Revision 1.104  2006/12/22 20:05:51  glen
- 1.351: added %patchset_source, %patchset_patch

Revision 1.103  2006/12/20 11:14:25  adamg
- 1.349 - create proper symlinks for ppc/powerpc (thanks pluto)

Revision 1.102  2006/12/20 10:26:13  adamg
- 1.348:
  - verbose (and faster) __spec_install_post_strip (glen)
  - build_kernel_modules - create symlink to asm-%{_target_base_arch}
    - some modules need it (adamg)

Revision 1.101  2006/12/17 20:28:44  jackass
- back to working version, my mistake.

Revision 1.100  2006/12/16 20:36:02  shadzik
- 1.345 - fixes %build_kernel_modules makros

Revision 1.99  2006/12/14 23:12:46  glen
- php epoch; rel 2

Revision 1.98  2006/12/14 23:05:53  glen
- 1.344: added %php_webserver_restart, %php4_webserver_restart

Revision 1.97  2006/12/14 00:33:11  glen
- 1.341: added %{php_extensionsdir}, %{php_sysconfdir}

Revision 1.96  2006/12/12 13:56:33  pluto
- update to 1.339
  - override also LC_ALL, LANGUAGE, LC_MESSAGES
  - show statistics when compressing kernel modules
  - print compress kernel modules message only if kernel modules dir present
  - add %scons
  - unify %cmake vs %__cmake

Revision 1.95  2006/12/05 17:21:41  glen
- fix %waf macro

Revision 1.94  2006/12/05 17:08:10  glen
- 1.335: added %waf

Revision 1.93  2006/11/29 14:43:53  glen
- 1.333

Revision 1.92  2006/11/23 08:53:26  hawk
- release 2

Revision 1.91  2006/11/15 02:59:20  shadzik
- 1.332

Revision 1.90  2006/11/14 20:44:38  sparky
- 1.330: %build_kernel_modules fixed for 2.6.18 kernels

Revision 1.89  2006/11/13 19:41:56  shadzik
- 1.329: -C option in %build_kernel_modules

Revision 1.88  2006/11/11 14:34:33  sparky
- 1.326 (%build_kernel_modules and %install_kernel_modules)

Revision 1.87  2006/11/08 21:11:50  glen
- 1.325: PEAR macros updated for PEAR-1.5.0

Revision 1.86  2006/11/02 22:51:28  glen
- 1.322: %requires_php_extension should include zend_module_api

Revision 1.85  2006/09/28 18:38:12  sparky
- 1.321 for updared %__kernel_ver macro

Revision 1.84  2006/09/27 21:03:22  glen
- added shell aliases and macros to the package

Revision 1.83  2006/09/08 12:49:30  glen
- 1.319: ignore errors from nscd cache invalidation

Revision 1.82  2006/08/31 23:21:15  glen
- rel 1

Revision 1.81  2006/08/31 23:17:29  glen
- 1.317: correct typo in %env_update

Revision 1.80  2006/08/31 16:03:40  glen
- 1.316: added %env_update

Revision 1.79  2006/08/26 12:42:41  arekm
- rel 2

Revision 1.78  2006/08/06 20:47:15  pluto
- 1.315, fixed %filterout machinery.

Revision 1.77  2006/08/05 19:28:45  sparky
- 1.314

Revision 1.76  2006/08/05 18:41:17  sparky
- up to 1.313 (%filterout_*), please STBR TH

Revision 1.75  2006/07/24 06:43:37  freetz
- 1.312: %__gnome_doc_prepare, %update_icon_cache, %update_mime_database

Revision 1.74  2006/07/18 07:44:10  glen
- 1.310: make files writable before striping (like chrpath does)

Revision 1.73  2006/06/30 20:00:25  hawk
- updated macros revision

Revision 1.72  2006/06/23 21:10:34  sparky
- 1.308: inverted %_alt_kernel and %alt_kernel

Revision 1.71  2006/06/19 12:13:12  pluto
- macros rev. updated.

Revision 1.70  2006/06/11 12:49:14  glen
- 1.306

Revision 1.69  2006/05/25 07:27:54  jajcus
- removed duplicate _javadir and _javadocdir macros

Revision 1.68  2006/05/24 10:53:14  glen
- doesn't require rpm-build (break dep loop)

Revision 1.67  2006/05/24 09:18:44  glen
- 1:302: payloads moved out

Revision 1.66  2006/05/23 20:21:03  glen
- 1.300: lucky number for java and pear packages build

Revision 1.65  2006/05/08 23:23:29  glen
- 1.293: added %cmake macro

Revision 1.64  2006/05/02 21:27:31  glen
- 1.292: PHP PDO API version macros

Revision 1.63  2006/05/01 17:44:05  sparky
- 1.291: %alt_kernel and changed %_kernelsrcdir macros

Revision 1.62  2006/04/27 07:57:53  glen
- 1.290: add %_buildchangelogtruncate

Revision 1.61  2006/04/12 14:10:02  glen
- 1.289: nscd cache invalidation in %useradd/%groupadd

Revision 1.60  2006/03/12 14:05:31  glen
- 1.288: fixed %releq_kernel_* macros

Revision 1.59  2006/03/07 17:42:18  arekm
- updated

Revision 1.58  2006/03/02 17:45:30  glen
- 1.286 (kernel macro fixes)

Revision 1.57  2006/02/28 23:08:22  qboosh
- updated macros_rev to 1.285 (glen's webapp-related fix)

Revision 1.56  2006/02/17 15:22:14  glen
- 1.284: remove .packlist and perllocal.pod for perl packages

Revision 1.55  2006/02/05 17:13:37  glen
- 1.283 (Ac compatible revision)

Revision 1.54  2006/02/03 13:55:02  pluto
- rev 1.282, new libdir for modular xorg.

Revision 1.53  2006/01/30 17:55:40  glen
- %service will use /sbin/service to start daemons with clean env
- rel 3, STBR

Revision 1.52  2006/01/20 22:42:42  glen
- updated %service generator not to fail if sysconfig/rpm is not present; rel 2, STBR

Revision 1.51  2006/01/19 18:28:50  glen
- 1.281, STBR

Revision 1.50  2006/01/11 22:44:02  glen
- r1.280: webapp macros use %service

Revision 1.49  2005/12/31 13:41:28  glen
- 1.279 (fixed ruby macros bootstrapping)

Revision 1.48  2005/12/29 16:52:18  twittner
- ver. 1.277, STBR

Revision 1.47  2005/12/29 16:50:19  twittner
- add %ruby_ver_requires_eq and %ruby_ver_mod_requires_eq
  (Requires: ruby-modules(ver) = major version of ruby)

Revision 1.46  2005/12/21 21:54:13  glen
- allow querying apache1 modules api version
- rpm_macros_rev 1.273

Revision 1.45  2005/12/17 00:28:32  twittner
- added %ruby_sitelibdir macro
- ver. 1.272

Revision 1.44  2005/12/12 20:37:20  adgor
- 1.271

Revision 1.43  2005/12/10 00:37:42  glen
- prevent version and macro file being outdated (idea from pldcpan.spec)

Revision 1.42  2005/12/08 12:53:21  qboosh
- 1.269 (predefine kgcc to %__cc instead of hardcoded gcc)

Revision 1.41  2005/12/01 01:51:51  glen
- rpm_macros_rev 1.268

Revision 1.40  2005/12/01 01:38:00  glen
- rpm_macros_rev 1.266 (%service with brains)

Revision 1.39  2005/11/19 13:21:47  glen
- 1.263 (added ruby macros)

Revision 1.38  2005/11/03 15:09:05  glen
- AC-branch is gone. rest well

Revision 1.37  2005/10/30 18:43:29  qboosh
- updated pl

Revision 1.36  2005/10/30 14:18:53  glen
- spec got renamed

Revision 1.35  2005/10/28 21:00:35  glen
- update summary

Revision 1.34  2005/10/28 20:55:13  glen
- TODO completed, update description
- rpm_macros_rev 1.254

Revision 1.33  2005/10/28 20:53:36  glen
- rename to rpm-build-macros

Revision 1.32  2005/10/28 12:22:39  glen
- prepare for macros.build

Revision 1.31  2005/10/28 08:28:32  glen
- rpm_macros_rev 1.251
- alias rpm-build-macros

Revision 1.30  2005/10/27 14:44:06  glen
- rpm_macros_rev 1.248

Revision 1.29  2005/10/22 19:14:24  glen
- rpm macros rev 1.247

Revision 1.28  2005/10/15 17:56:13  glen
- copy-pasteable section

Revision 1.27  2005/10/15 17:55:13  glen
- 1.245

Revision 1.26  2005/10/11 09:22:44  glen
- rpm_macros_rev 1.243

Revision 1.25  2005/09/13 20:36:41  glen
- 1.238

Revision 1.24  2005/09/13 20:18:51  glen
- rpm_macros_rev 1.237 (php/zend api version macros)

Revision 1.23  2005/09/06 17:46:16  glen
- one more move on build needed

Revision 1.22  2005/09/06 17:45:20  glen
- rpm_macros_rev 1.236

Revision 1.21  2005/08/24 11:27:11  glen
- add builder help how to build for Ac

Revision 1.20  2005/08/24 11:26:42  glen
- rpm_macros_rev 1.235

Revision 1.19  2005/08/23 18:19:49  glen
- rpm macros 1.233

Revision 1.18  2005/07/15 11:15:25  glen
- rpm macros 1.231

Revision 1.17  2005/07/14 18:27:01  glen
- rpm macros 1.230

Revision 1.16  2005/07/14 16:03:35  glen
- rpm macros 1.229

Revision 1.15  2005/07/10 11:46:17  glen
- rpm macros 1.228

Revision 1.14  2005/06/30 21:52:33  glen
- rpm macros 1.226

Revision 1.13  2005/06/27 18:22:42  glen
- rpm_macros_rev 1.225

Revision 1.12  2005/06/23 12:51:54  glen
- rpm_macros_rev 1.224

Revision 1.11  2005/06/22 08:26:21  glen
- debuginfo was patched in rpm.spec, need to do it here too to cut down the bugs

Revision 1.10  2005/06/21 10:58:58  glen
- no %config

Revision 1.9  2005/06/20 21:26:36  qboosh
- pl

Revision 1.8  2005/06/19 21:51:54  glen
- use /etc/rpm/macros.pld due current macrofiles setting in rpmrc:
  macrofiles: /usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/etc/rpm/macros.*:....
  otherwise the rpm.macros copy wasn't readed (processed) at all

Revision 1.7  2005/06/19 19:14:16  glen
- add conflicts on rpm < 4.4.1 because in rpm.macros currently in AC-branch
  will expand in %install _enable_debug_packages, even if it's defined to 0.
  i think it's bug by itself (no way to disable _enable_debug_packages by
  redefining it to 0, other than %undefining it?)

  rpm-4.4.1:
  %install %{?_enable_debug_packages:%{?buildsubdir:%{debug_package}}}\

  rpm-4.3-0.20040107.62:
  %install \
  %if 0%{?_enable_debug_packages}\
  %{?buildsubdir:%{debug_package}}\
  %endif\

Revision 1.6  2005/06/19 18:01:19  glen
- version eq rpm_macros_rev
- rpm.macros will be overwritten with a upgrade

Revision 1.5  2005/06/19 17:42:27  glen
- R(rpm-build) to prevent broken builds?

Revision 1.4  2005/06/19 17:40:36  glen
- tag moving sample

Revision 1.3  2005/06/19 17:39:59  glen
- AC-branch possible too

Revision 1.2  2005/06/19 17:38:42  glen
- truncate to remove unprocessed @@ vars

Revision 1.1  2005/06/19 17:36:33  glen
- initial idea
